org.apache.fontbox.ttf.table.gsub

## Class LigatureTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.gsub.LigatureTable

    public class LigatureTable
    extends Object

This class is a part of the GSUB — Glyph Substitution Table system of tables in the Open Type Font specs. This is a part of the LookupType 4: Ligature Substitution Subtable. It specifically models the Ligature table: Glyph components for one ligature.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LigatureTable(int ligatureGlyph, int componentCount, int[] componentGlyphIDs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getComponentCount()`
`int[]` `getComponentGlyphIDs()`
`int` `getLigatureGlyph()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LigatureTable

    public LigatureTable(int ligatureGlyph,
                         int componentCount,
                         int[] componentGlyphIDs)

### Method Detail

#### getLigatureGlyph

    public int getLigatureGlyph()

#### getComponentCount

    public int getComponentCount()

#### getComponentGlyphIDs

    public int[] getComponentGlyphIDs()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`